package com.ccnode.codegenerator.mybatisGenerator;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.ccnode.codegenerator.O.d;
import com.ccnode.codegenerator.ae.z;
import com.ccnode.codegenerator.mybatisGenerator.a.a;
import com.ccnode.codegenerator.mybatisGenerator.d.c;
import com.ccnode.codegenerator.mybatisGenerator.f;
import com.ccnode.codegenerator.mybatisGenerator.o;
import com.ccnode.codegenerator.mybatisGenerator.plugins.AddModelClassAnnotationPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.BaseClassPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.BatchInsertOnDuplicatePlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.BatchInsertPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.BatchInsertSelectiveUseDefaultForNull;
import com.ccnode.codegenerator.mybatisGenerator.plugins.ControllerPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.CustomTypeAnnotationPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.CustomzedMethodsPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.DeleteByPrimaryKeyInPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.GenerateOpenApiDoc;
import com.ccnode.codegenerator.mybatisGenerator.plugins.GenerateServicePlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.GenerateSwagger3Doc;
import com.ccnode.codegenerator.mybatisGenerator.plugins.GeneratorSwagger2Doc;
import com.ccnode.codegenerator.mybatisGenerator.plugins.JoinPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.LombokCustomizedPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.LombokDataPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.LombokGetterSetterPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.MethodGenerateSqlPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.MyCommentGenerator;
import com.ccnode.codegenerator.mybatisGenerator.plugins.MyCommonMapperPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.MyMybatisPlusPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.MyTkMapperCommentGenerator;
import com.ccnode.codegenerator.mybatisGenerator.plugins.MybatisPlusCommnetGenerator;
import com.ccnode.codegenerator.mybatisGenerator.plugins.NotNullMaxLengthPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.P3CCommentPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.UpdateBatchPlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.UpdateBatchPlugin2UseMultiQueries;
import com.ccnode.codegenerator.mybatisGenerator.plugins.UpdateBatchSelectivePlugin;
import com.ccnode.codegenerator.mybatisGenerator.plugins.UpsertPlugin;
import com.ccnode.codegenerator.myconfigurable.Profile;
import com.ccnode.codegenerator.myconfigurable.ProjectProfile;
import com.ccnode.codegenerator.myconfigurable.TableGenerateConfig;
import com.ccnode.codegenerator.myconfigurable.UserPackageAndPathInfoByModule;
import com.google.common.base.Joiner;
import com.intellij.openapi.project.Project;
import com.intellij.openapi.vfs.VirtualFile;
import com.intellij.psi.PsiFile;
import com.intellij.psi.search.FilenameIndex;
import com.intellij.psi.search.GlobalSearchScope;
import com.intellij.psi.xml.XmlFile;
import com.intellij.psi.xml.XmlTag;
import com.intellij.util.containers.UtilKt;
import java.util.Map;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.StringsKt;
import org.apache.commons.lang3.StringUtils;
import org.jetbrains.annotations.NotNull;
import org.mybatis.generator.config.CommentGeneratorConfiguration;
import org.mybatis.generator.config.Context;
import org.mybatis.generator.config.JavaClientGeneratorConfiguration;
import org.mybatis.generator.config.JavaModelGeneratorConfiguration;
import org.mybatis.generator.config.JavaTypeResolverConfiguration;
import org.mybatis.generator.config.PluginConfiguration;
import org.mybatis.generator.config.SqlMapGeneratorConfiguration;
import org.mybatis.generator.config.TableConfiguration;
import org.mybatis.generator.plugins.EqualsHashCodePlugin;
import org.mybatis.generator.plugins.MapperAnnotationPlugin;
import org.mybatis.generator.plugins.SerializablePlugin;
import org.mybatis.generator.plugins.ToStringPlugin;

@Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\000h\n\002\030\002\n\002\020\000\n\002\b\002\n\002\020\016\n\002\b\002\n\002\030\002\n\002\b\004\n\002\020\013\n\002\b\004\n\002\030\002\n\000\n\002\020\002\n\000\n\002\030\002\n\000\n\002\030\002\n\000\n\002\030\002\n\000\n\002\030\002\n\000\n\002\030\002\n\000\n\002\030\002\n\000\n\002\030\002\n\000\n\002\030\002\n\000\n\002\030\002\n\002\b\003\bÆ\002\030\0002\0020\001B\007\b\002¢\006\002\020\002J\036\020\003\032\0020\0042\006\020\005\032\0020\0042\006\020\006\032\0020\0072\006\020\b\032\0020\004J&\020\t\032\0020\0042\006\020\005\032\0020\0042\006\020\006\032\0020\0072\006\020\b\032\0020\0042\006\020\n\032\0020\004J,\020\013\032\0020\f2\b\020\r\032\004\030\0010\0042\b\020\016\032\004\030\0010\0042\006\020\017\032\0020\0042\006\020\020\032\0020\021H\002J^\020\022\032\0020\0232\006\020\024\032\0020\0252\006\020\026\032\0020\0272\006\020\030\032\0020\0312\006\020\032\032\0020\0332\006\020\034\032\0020\0352\006\020\036\032\0020\0372\006\020 \032\0020!2\006\020\"\032\0020#2\006\020\006\032\0020\0072\006\020$\032\0020%2\006\020\020\032\0020\021J\036\020&\032\0020\0232\006\020\024\032\0020!2\006\020\"\032\0020#2\006\020\036\032\0020\037J\026\020'\032\0020\0232\006\020\"\032\0020#2\006\020\036\032\0020\037¨\006("}, d2 = {"Lcom/ccnode/codegenerator/mybatisGenerator/MybatisCommonPanelUtils;", "", "()V", "calculateRealModelWithSuffix", "", "modelName", "myProfile", "Lcom/ccnode/codegenerator/myconfigurable/Profile;", "suffix", "calculateRealModelWithSuffixWithPrefix", "prefix", "checkIfShouldAddJoinPlugin", "", "xmlMapperPath", "xmlMapperPackage", "mapperName", "project", "Lcom/intellij/openapi/project/Project;", "setUpForMybatisGeneratorContext", "", "context", "Lorg/mybatis/generator/config/Context;", "javaModelGeneratorConfiguration", "Lorg/mybatis/generator/config/JavaModelGeneratorConfiguration;", "sqlMapGeneratorConfiguration", "Lorg/mybatis/generator/config/SqlMapGeneratorConfiguration;", "javaClientGeneratorConfiguration", "Lorg/mybatis/generator/config/JavaClientGeneratorConfiguration;", "tc", "Lorg/mybatis/generator/config/TableConfiguration;", "myTableGenerateConfig", "Lcom/ccnode/codegenerator/myconfigurable/TableGenerateConfig;", "mybatisCommonPanelContext", "Lcom/ccnode/codegenerator/mybatisGenerator/MybatisCommonPanelContext;", "myProjectProfile", "Lcom/ccnode/codegenerator/myconfigurable/ProjectProfile;", "databaseProvider", "Lcom/ccnode/codegenerator/mybatisGenerator/databaseAdaptor/DatabaseProvider;", "setUpProjectPrifles", "setUpTableGenerateConfigFromProjectProfile", "MyBatisCodeHelper-Pro241"})
public final class p {
  @NotNull
  public static final com.ccnode.codegenerator.mybatisGenerator.p a = new com.ccnode.codegenerator.mybatisGenerator.p();
  
  public final void a(@NotNull Context paramContext, @NotNull JavaModelGeneratorConfiguration paramJavaModelGeneratorConfiguration, @NotNull SqlMapGeneratorConfiguration paramSqlMapGeneratorConfiguration, @NotNull JavaClientGeneratorConfiguration paramJavaClientGeneratorConfiguration, @NotNull TableConfiguration paramTableConfiguration, @NotNull TableGenerateConfig paramTableGenerateConfig, @NotNull o paramo, @NotNull ProjectProfile paramProjectProfile, @NotNull Profile paramProfile, @NotNull a parama, @NotNull Project paramProject) {
    Intrinsics.checkNotNullParameter(paramContext, "");
    Intrinsics.checkNotNullParameter(paramJavaModelGeneratorConfiguration, "");
    Intrinsics.checkNotNullParameter(paramSqlMapGeneratorConfiguration, "");
    Intrinsics.checkNotNullParameter(paramJavaClientGeneratorConfiguration, "");
    Intrinsics.checkNotNullParameter(paramTableConfiguration, "");
    Intrinsics.checkNotNullParameter(paramTableGenerateConfig, "");
    Intrinsics.checkNotNullParameter(paramo, "");
    Intrinsics.checkNotNullParameter(paramProjectProfile, "");
    Intrinsics.checkNotNullParameter(paramProfile, "");
    Intrinsics.checkNotNullParameter(parama, "");
    Intrinsics.checkNotNullParameter(paramProject, "");
    if (!paramo.I())
      a(paramo, paramProjectProfile, paramTableGenerateConfig); 
    o o1 = paramo;
    boolean bool1 = false;
    paramJavaModelGeneratorConfiguration.setTargetPackage(o1.b());
    paramJavaModelGeneratorConfiguration.setTargetProject(o1.c());
    if (o1.a())
      paramJavaModelGeneratorConfiguration.addProperty("trimStrings", "true"); 
    paramSqlMapGeneratorConfiguration.setTargetPackage(o1.d());
    paramSqlMapGeneratorConfiguration.setTargetProject(o1.e());
    paramJavaClientGeneratorConfiguration.setConfigurationType("XMLMAPPER");
    paramJavaClientGeneratorConfiguration.setTargetPackage(o1.f());
    paramJavaClientGeneratorConfiguration.setTargetProject(o1.g());
    if (paramProfile.getUsejava8LocalDateTimeEct()) {
      JavaTypeResolverConfiguration javaTypeResolverConfiguration = new JavaTypeResolverConfiguration();
      javaTypeResolverConfiguration.addProperty("useJSR310Types", "true");
      paramContext.setJavaTypeResolverConfiguration(javaTypeResolverConfiguration);
    } 
    if (o1.b())
      paramTableConfiguration.setSchema(parama.b()); 
    if (o1.R())
      paramContext.addProperty(c.a, "true"); 
    String str1 = paramTableConfiguration.getDomainObjectName();
    String str2 = str1;
    Intrinsics.checkNotNull(str2);
    Intrinsics.checkNotNullExpressionValue(paramo.x(), "");
    Intrinsics.checkNotNullExpressionValue(paramo.C(), "");
    String str3 = a.a(str2, paramProfile, paramo.x(), paramo.C());
    paramTableConfiguration.setMapperName(str3);
    str2 = paramo.z();
    if (StringUtils.isNotBlank(str2)) {
      String str5 = str1;
      Intrinsics.checkNotNull(str5);
      str5 = str2;
      Intrinsics.checkNotNull(str5);
      Intrinsics.checkNotNullExpressionValue(paramo.D(), "");
      String str6 = a.a(str5, paramProfile, str5, paramo.D());
      paramTableConfiguration.setXmlMapperName(str6);
    } 
    if (!o1.c()) {
      paramTableConfiguration.setCountByExampleStatementEnabled(false);
      paramTableConfiguration.setSelectByExampleStatementEnabled(false);
      paramTableConfiguration.setUpdateByExampleStatementEnabled(false);
      paramTableConfiguration.setDeleteByExampleStatementEnabled(false);
    } 
    boolean bool = a.a(o1.e(), o1.d(), str3, paramProject);
    if (bool) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(JoinPlugin.class.getCanonicalName());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    CommentGeneratorConfiguration commentGeneratorConfiguration = new CommentGeneratorConfiguration();
    commentGeneratorConfiguration.setConfigurationType(MyCommentGenerator.class.getCanonicalName());
    paramContext.setCommentGeneratorConfiguration(commentGeneratorConfiguration);
    boolean bool2 = (o1.D() || o1.E()) ? true : false;
    if (o1.D() || o1.E()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      if (o1.D()) {
        pluginConfiguration1.setConfigurationType(LombokDataPlugin.class.getCanonicalName());
        if (StringUtils.isNotBlank(o1.n()))
          pluginConfiguration1.addProperty("has_super", "true"); 
      } else {
        pluginConfiguration1.setConfigurationType(LombokGetterSetterPlugin.class.getCanonicalName());
      } 
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.Q()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(LombokCustomizedPlugin.class.getCanonicalName());
      pluginConfiguration1.addProperty("thevalue", o1.y());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    String str4 = "";
    if (o1.F())
      str4 = str4 + "lombok.Builder,"; 
    if (o1.G())
      str4 = str4 + "lombok.AllArgsConstructor,"; 
    if (o1.H())
      str4 = str4 + "lombok.NoArgsConstructor,"; 
    if (StringUtils.isNotBlank(str4)) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(AddModelClassAnnotationPlugin.class.getCanonicalName());
      paramContext.addProperty("classAnnotionsHeaders", str4);
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.e()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(GeneratorSwagger2Doc.class.getCanonicalName());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.L()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(GenerateSwagger3Doc.class.getCanonicalName());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.M()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(GenerateOpenApiDoc.class.getCanonicalName());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (!UtilKt.isNullOrEmpty(o1.b())) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(MethodGenerateSqlPlugin.class.getCanonicalName());
      pluginConfiguration1.addProperty(MethodGenerateSqlPlugin.a.b(), Joiner.on(",").join(o1.b()));
      pluginConfiguration1.addProperty(MethodGenerateSqlPlugin.a.a(), parama.a());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.f() && !bool2) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(ToStringPlugin.class.getCanonicalName());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.g() && !bool2) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(EqualsHashCodePlugin.class.getCanonicalName());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.o()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(MapperAnnotationPlugin.class.getCanonicalName());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.h()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(SerializablePlugin.class.getCanonicalName());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.m()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(MyCommonMapperPlugin.class.getCanonicalName());
      f f = 
        (f)z.a().deepClone(f.a(parama.a()));
      if (Intrinsics.areEqual(f.a, "\"")) {
        f.a = "\\\"";
        f.b = "\\\"";
      } 
      pluginConfiguration1.addProperty("beginningDelimiter", f.a);
      pluginConfiguration1.addProperty("endingDelimiter", f.b);
      pluginConfiguration1.addProperty("mappers", o1.h());
      if (o1.o())
        pluginConfiguration1.addProperty("hasMapperAnnotation", "true"); 
      if (parama.a())
        pluginConfiguration1.addProperty("useIntellijDatabase", "true"); 
      paramContext.addPluginConfiguration(pluginConfiguration1);
      CommentGeneratorConfiguration commentGeneratorConfiguration1 = new CommentGeneratorConfiguration();
      commentGeneratorConfiguration1.setConfigurationType(MyTkMapperCommentGenerator.class.getCanonicalName());
      paramContext.setCommentGeneratorConfiguration(commentGeneratorConfiguration1);
    } 
    if (o1.n() || o1.B()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(MyMybatisPlusPlugin.class.getCanonicalName());
      f f = 
        (f)z.a().deepClone(f.a(parama.a()));
      if (Intrinsics.areEqual(f.a, "\"")) {
        f.a = "\\\"";
        f.b = "\\\"";
      } 
      if (StringUtils.isNotBlank(o1.q()))
        pluginConfiguration1.addProperty("sequenceId", o1.q()); 
      pluginConfiguration1.addProperty("beginningDelimiter", f.a);
      pluginConfiguration1.addProperty("endingDelimiter", f.b);
      if (o1.n()) {
        if (StringUtils.isBlank(o1.o()))
          pluginConfiguration1.addProperty("mappers", "com.baomidou.mybatisplus.core.mapper.BaseMapper"); 
        paramContext.addProperty("useMybatisPlus3", "true");
        if (o1.S()) {
          paramContext.addProperty("FIELD_FILL", "true");
        } else {
          paramContext.addProperty("FIELD_FILL", "false");
        } 
      } else {
        pluginConfiguration1.addProperty("mappers", "com.baomidou.mybatisplus.mapper.BaseMapper");
      } 
      if (o1.C())
        paramContext.addProperty("MybatisPlusStaticField", "true"); 
      if (o1.O())
        pluginConfiguration1.addProperty(
            "generateUpdateSelectiveAndInsertSelective", 
            "true"); 
      if (o1.W())
        pluginConfiguration1.addProperty(
            "mybatisPlusGenerateByPrimaryKey", 
            "true"); 
      if (parama.a())
        pluginConfiguration1.addProperty("useIntellijDatabase", "true"); 
      paramContext.addPluginConfiguration(pluginConfiguration1);
      CommentGeneratorConfiguration commentGeneratorConfiguration1 = new CommentGeneratorConfiguration();
      commentGeneratorConfiguration1.setConfigurationType(MybatisPlusCommnetGenerator.class.getCanonicalName());
      paramContext.setCommentGeneratorConfiguration(commentGeneratorConfiguration1);
      paramContext.getCommentGeneratorConfiguration().addProperty("mybatisplusIdType", o1.s());
      if (o1.S()) {
        paramContext.getCommentGeneratorConfiguration().addProperty(
            "FIELD_FILL", 
            "true");
      } else {
        paramContext.getCommentGeneratorConfiguration().addProperty(
            "FIELD_FILL", 
            "false");
      } 
    } 
    if (o1.d()) {
      paramContext.getCommentGeneratorConfiguration().addProperty("suppressDate", "true");
      paramContext.getCommentGeneratorConfiguration().addProperty("addRemarkComments", "true");
    } else {
      paramContext.getCommentGeneratorConfiguration().addProperty("suppressAllComments", "true");
    } 
    if (o1.i()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(UpdateBatchPlugin.class.getCanonicalName());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.v()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(UpdateBatchSelectivePlugin.class.getCanonicalName());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.j()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(BatchInsertPlugin.class.getCanonicalName());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.X()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(BatchInsertOnDuplicatePlugin.class.getCanonicalName());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.T()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(DeleteByPrimaryKeyInPlugin.class.getCanonicalName());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.U()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(UpdateBatchPlugin2UseMultiQueries.class.getCanonicalName());
      if (o1.i())
        pluginConfiguration1.addProperty("updateBatch", "true"); 
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.V()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(BatchInsertSelectiveUseDefaultForNull.class.getCanonicalName());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.p())
      paramContext.addProperty("noJdbcType", "true"); 
    if ((!o1.I() || o1.N()) && o1.J()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(ControllerPlugin.class.getCanonicalName());
      pluginConfiguration1.addProperty("controllerPath", o1.t());
      pluginConfiguration1.addProperty("controllerPackage", o1.a());
      pluginConfiguration1.addProperty("javaModelName", str1);
      pluginConfiguration1.addProperty("javaModelPackage", o1.b());
      pluginConfiguration1.addProperty("mapperPackage", o1.f());
      if (o1.j() == null)
        o1.j(""); 
      pluginConfiguration1.addProperty("servicePackage", o1.j());
      if (o1.l() == null)
        o1.l(""); 
      pluginConfiguration1.addProperty("serviceInterfacePackage", o1.l());
      pluginConfiguration1.addProperty("templateString", o1.u());
      String str = "false";
      if (o1.q())
        str = "true"; 
      pluginConfiguration1.addProperty("generateServiceInterface", str);
      pluginConfiguration1.addProperty("mapperClassName", str3);
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.z())
      paramContext.addProperty("checkEmptyForString", "true"); 
    if (o1.k()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(UpsertPlugin.class.getCanonicalName());
      if (o1.n())
        pluginConfiguration1.addProperty("useMybatisPlus3", "true"); 
      if (o1.Y())
        pluginConfiguration1.addProperty("useOldName", "true"); 
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.l() && (!o1.I() || o1.N())) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(GenerateServicePlugin.class.getCanonicalName());
      pluginConfiguration1.addProperty("servicePackageName", o1.j());
      pluginConfiguration1.addProperty("serviceSrcFolder", o1.k());
      if (StringUtils.isNotBlank(o1.A())) {
        String str = d.a(str1, o1.A());
        if (str == null)
          throw new RuntimeException("service ognl name is not correct, please see from the example"); 
        pluginConfiguration1.addProperty(
            "serviceName", 
            str);
      } else if (o1.q()) {
        String str6 = str1;
        Intrinsics.checkNotNull(str6);
        String str5 = a.a(str6, paramProfile, "ServiceImpl");
        pluginConfiguration1.addProperty(
            "serviceName", 
            str5);
      } else {
        String str = str1;
        Intrinsics.checkNotNull(str);
        pluginConfiguration1.addProperty("serviceName", a.a(str, paramProfile, "Service"));
      } 
      if (o1.n() || o1.B())
        pluginConfiguration1.addProperty("useMybatisPlus", "true"); 
      if (o1.q()) {
        pluginConfiguration1.addProperty(
            "generateServiceInterface", 
            "TRUE");
        pluginConfiguration1.addProperty(
            "serviceInterfacePackageName", 
            o1.l());
        pluginConfiguration1.addProperty(
            "serviceInterfaceSrcFolder", 
            o1.m());
        if (StringUtils.isNotBlank(o1.B())) {
          String str = d.a(str1, o1.B());
          if (str == null)
            throw new RuntimeException("service ognl name is not correct, please see from the example"); 
          pluginConfiguration1.addProperty(
              "serviceInterfaceName", 
              str);
        } else {
          String str6 = str1;
          Intrinsics.checkNotNull(str6);
          String str5 = a.a(str6, paramProfile, "Service");
          pluginConfiguration1.addProperty(
              "serviceInterfaceName", 
              str5);
        } 
      } 
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.n() != null || o1.o() != null) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(BaseClassPlugin.class.getCanonicalName());
      if (o1.n() != null)
        pluginConfiguration1.addProperty("modelSuperClass", o1.n()); 
      if (o1.o() != null)
        pluginConfiguration1.addProperty("mapperSuperClass", o1.o()); 
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.r()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(P3CCommentPlugin.class.getCanonicalName());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (o1.A())
      paramContext.addProperty("checkBlob", "true"); 
    if (o1.P()) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(NotNullMaxLengthPlugin.class.getCanonicalName());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    if (paramo.Z() && StringUtils.isNotBlank(paramo.G())) {
      PluginConfiguration pluginConfiguration1 = new PluginConfiguration();
      pluginConfiguration1.setConfigurationType(CustomTypeAnnotationPlugin.class.getCanonicalName());
      pluginConfiguration1.addProperty("typeAnnotations", paramo.G());
      paramContext.addPluginConfiguration(pluginConfiguration1);
    } 
    PluginConfiguration pluginConfiguration = new PluginConfiguration();
    pluginConfiguration.setConfigurationType(CustomzedMethodsPlugin.class.getCanonicalName());
    pluginConfiguration.addProperty(CustomzedMethodsPlugin.a, String.valueOf(o1.s()));
    pluginConfiguration.addProperty(
        CustomzedMethodsPlugin.b, 
        String.valueOf(o1.t()));
    pluginConfiguration.addProperty(
        CustomzedMethodsPlugin.c, 
        String.valueOf(o1.u()));
    pluginConfiguration.addProperty(
        CustomzedMethodsPlugin.d, 
        String.valueOf(o1.w()));
    pluginConfiguration.addProperty(
        CustomzedMethodsPlugin.e, 
        String.valueOf(o1.x()));
    pluginConfiguration.addProperty(
        CustomzedMethodsPlugin.f, 
        String.valueOf(o1.y()));
    paramContext.addPluginConfiguration(pluginConfiguration);
  }
  
  private final boolean a(String paramString1, String paramString2, String paramString3, Project paramProject) {
    Intrinsics.checkNotNullExpressionValue(FilenameIndex.getFilesByName(paramProject, paramString3 + ".xml", GlobalSearchScope.allScope(paramProject)), "");
    PsiFile[] arrayOfPsiFile = FilenameIndex.getFilesByName(paramProject, paramString3 + ".xml", GlobalSearchScope.allScope(paramProject));
    byte b;
    int i;
    for (b = 0, i = arrayOfPsiFile.length; b < i; ) {
      PsiFile psiFile = arrayOfPsiFile[b];
      if (psiFile instanceof XmlFile) {
        VirtualFile virtualFile = ((XmlFile)psiFile).getVirtualFile();
        if (virtualFile == null) {
        
        } else {
          Intrinsics.checkNotNullExpressionValue(virtualFile.getPath(), "");
          Intrinsics.checkNotNull(paramString2);
          if (StringsKt.contains$default(StringsKt.replace$default(virtualFile.getPath(), "/", ".", false, 4, (Object)null), paramString2, false, 2, (Object)null)) {
            XmlTag xmlTag = ((XmlFile)psiFile).getRootTag();
            if (xmlTag == null)
              return false; 
            Intrinsics.checkNotNullExpressionValue(xmlTag.getSubTags(), "");
            XmlTag[] arrayOfXmlTag;
            byte b1;
            int j;
            for (arrayOfXmlTag = xmlTag.getSubTags(), b1 = 0, j = arrayOfXmlTag.length; b1 < j; ) {
              XmlTag xmlTag1 = arrayOfXmlTag[b1];
              String str = xmlTag1.getAttributeValue("id");
              if (str != null && str.equals("Join_Column_List")) {
                String str1 = xmlTag1.getText();
                Intrinsics.checkNotNull(str1);
                if (StringsKt.contains$default(str1, "@mbg.generated", false, 2, (Object)null))
                  return true; 
              } 
              b1++;
            } 
          } 
        } 
      } 
      b++;
    } 
    return false;
  }
  
  @NotNull
  public final String a(@NotNull String paramString1, @NotNull Profile paramProfile, @NotNull String paramString2) {
    Intrinsics.checkNotNullParameter(paramString1, "");
    Intrinsics.checkNotNullParameter(paramProfile, "");
    Intrinsics.checkNotNullParameter(paramString2, "");
    String str = paramString1 + paramString1;
    if (StringsKt.endsWith$default(paramString1, paramProfile.getMybatisGeneratorModelSuffix(), false, 2, (Object)null)) {
      Intrinsics.checkNotNullExpressionValue(paramString1.substring(0, paramString1.length() - paramProfile.getMybatisGeneratorModelSuffix().length()), "");
      str = paramString1.substring(0, paramString1.length() - paramProfile.getMybatisGeneratorModelSuffix().length()) + paramString1.substring(0, paramString1.length() - paramProfile.getMybatisGeneratorModelSuffix().length());
    } 
    return str;
  }
  
  @NotNull
  public final String a(@NotNull String paramString1, @NotNull Profile paramProfile, @NotNull String paramString2, @NotNull String paramString3) {
    Intrinsics.checkNotNullParameter(paramString1, "");
    Intrinsics.checkNotNullParameter(paramProfile, "");
    Intrinsics.checkNotNullParameter(paramString2, "");
    Intrinsics.checkNotNullParameter(paramString3, "");
    String str = paramString3 + paramString3 + paramString1;
    if (StringsKt.endsWith$default(paramString1, paramProfile.getMybatisGeneratorModelSuffix(), false, 2, (Object)null)) {
      Intrinsics.checkNotNullExpressionValue(paramString1.substring(0, paramString1.length() - paramProfile.getMybatisGeneratorModelSuffix().length()), "");
      str = paramString3 + paramString3 + paramString1.substring(0, paramString1.length() - paramProfile.getMybatisGeneratorModelSuffix().length());
    } 
    return str;
  }
  
  public final void a(@NotNull o paramo, @NotNull ProjectProfile paramProjectProfile, @NotNull TableGenerateConfig paramTableGenerateConfig) {
    Intrinsics.checkNotNullParameter(paramo, "");
    Intrinsics.checkNotNullParameter(paramProjectProfile, "");
    Intrinsics.checkNotNullParameter(paramTableGenerateConfig, "");
    o o1 = paramo;
    boolean bool = false;
    paramProjectProfile.setJavaModelPackage(o1.b());
    paramProjectProfile.setJavaModelPath(o1.c());
    Intrinsics.checkNotNullExpressionValue(o1.a(), "");
    paramProjectProfile.setJavaControllerPackage(o1.a());
    paramProjectProfile.setJavaModelTrimString(o1.a());
    paramProjectProfile.setXmlMapperPackage(o1.d());
    paramProjectProfile.setXmlMapperPath(o1.e());
    paramProjectProfile.setJavaMapperPackage(o1.f());
    paramProjectProfile.setJavaMapperPath(o1.g());
    paramProjectProfile.setAddSchemaName(o1.b());
    paramProjectProfile.setUseExample(o1.c());
    paramProjectProfile.setGenComment(o1.d());
    paramProjectProfile.setUseSwagger(o1.e());
    paramProjectProfile.setMapperAnnotaion(o1.o());
    paramProjectProfile.setUseSwagger3(o1.L());
    paramProjectProfile.setUseOpenApi(o1.M());
    paramProjectProfile.setLombokDataAnnotation(o1.D());
    paramProjectProfile.setCustomizedLombokAnnotation(o1.Q());
    Intrinsics.checkNotNullExpressionValue(o1.y(), "");
    paramProjectProfile.setCustomizedLombokValue(o1.y());
    paramProjectProfile.setLombokGetterSetterAnnotation(o1.E());
    paramProjectProfile.setLombokBuilderAnnotation(o1.F());
    paramProjectProfile.setLombokAllArgConstructor(o1.G());
    paramProjectProfile.setLombokNoArgsConstructor(o1.H());
    paramProjectProfile.setModelAddToString(o1.f());
    paramProjectProfile.setAddSerializeUid(o1.h());
    paramProjectProfile.setModelAddEqualHashCode(o1.g());
    Intrinsics.checkNotNullExpressionValue(o1.A(), "");
    paramProjectProfile.setServiceOgnlName(o1.A());
    Intrinsics.checkNotNullExpressionValue(o1.B(), "");
    paramProjectProfile.setServiceInterfaceOgnlName(o1.B());
    paramProjectProfile.setNoJdbcType(o1.p());
    paramProjectProfile.setRemoveIsPrefix(o1.K());
    Intrinsics.checkNotNullExpressionValue(o1.v(), "");
    paramProjectProfile.setRegexString(o1.v());
    Intrinsics.checkNotNullExpressionValue(o1.w(), "");
    paramProjectProfile.setReplacement(o1.w());
    Intrinsics.checkNotNullExpressionValue(o1.x(), "");
    paramProjectProfile.setMybatisGeneratorMapperSuffix(o1.x());
    Intrinsics.checkNotNullExpressionValue(o1.z(), "");
    paramProjectProfile.setMybatisXmlSuffix(o1.z());
    paramProjectProfile.setUseInsertOrUpdateAsMethodNameWhenMybatisPlus3(o1.Y());
    Intrinsics.checkNotNullExpressionValue(o1.E(), "");
    paramProjectProfile.setGlobalIgnoreColumns(o1.E());
    Intrinsics.checkNotNullExpressionValue(o1.C(), "");
    paramProjectProfile.setMybatisMapperPrefix(o1.C());
    Intrinsics.checkNotNullExpressionValue(o1.F(), "");
    paramProjectProfile.setMybatisModelPrefix(o1.F());
    Intrinsics.checkNotNullExpressionValue(o1.D(), "");
    paramProjectProfile.setMybatisXmlPrefix(o1.D());
    paramProjectProfile.setFieldFill(o1.S());
    paramProjectProfile.setGenerateService(o1.l());
    paramProjectProfile.setGenerateServiceInterface(o1.q());
    paramProjectProfile.setUseCommonMapper(o1.m());
    paramProjectProfile.setUseJakataAnnotation(o1.R());
    if (o1.m()) {
      Intrinsics.checkNotNullExpressionValue(o1.h(), "");
      paramProjectProfile.setCommonMapperBaseClass(o1.h());
    } 
    Intrinsics.checkNotNullExpressionValue(o1.a(), "");
    paramTableGenerateConfig.setMethodNameList(o1.a());
    paramProjectProfile.setUserMybatisPlus(o1.n());
    paramTableGenerateConfig.setModuleName(o1.i());
    UserPackageAndPathInfoByModule userPackageAndPathInfoByModule = new UserPackageAndPathInfoByModule();
    userPackageAndPathInfoByModule.setJavaModelPacakge(o1.b());
    userPackageAndPathInfoByModule.setJavaModelPath(o1.c());
    userPackageAndPathInfoByModule.setJavaMapperPackage(o1.f());
    userPackageAndPathInfoByModule.setJavaMapperPath(o1.g());
    userPackageAndPathInfoByModule.setXmlPackage(o1.d());
    userPackageAndPathInfoByModule.setXmlPath(o1.e());
    userPackageAndPathInfoByModule.setJavaServicePackage(o1.j());
    userPackageAndPathInfoByModule.setJavaServicePath(o1.k());
    userPackageAndPathInfoByModule.setJavaServiceInterfacePackage(o1.l());
    userPackageAndPathInfoByModule.setJavaServiceInterfacePath(o1.m());
    Map<String, UserPackageAndPathInfoByModule> map = paramProjectProfile.getModuleNameToPackageAndPathMap();
    Intrinsics.checkNotNullExpressionValue(o1.i(), "");
    map.put(o1.i(), userPackageAndPathInfoByModule);
    paramProjectProfile.setLastDatabaseCrudChooseModuleName(o1.i());
    paramProjectProfile.setModelSuperClass(o1.n());
    paramProjectProfile.setMapperSuperClass(o1.o());
    paramProjectProfile.setP3CComment(o1.r());
    paramTableGenerateConfig.setInsertMethodEnabled(o1.s());
    paramTableGenerateConfig.setInsertSelectiveMethodEnabled(o1.t());
    paramTableGenerateConfig.setSelectByPrimaryKeyEnabled(o1.w());
    paramTableGenerateConfig.setDeleteByPrimayKeyEnabled(o1.u());
    paramTableGenerateConfig.setUpdateByPrimaryKeySelectiveEnabled(o1.y());
    paramTableGenerateConfig.setUpdateByPrimaykeyEnabled(o1.x());
    paramTableGenerateConfig.setBatchInsert(o1.j());
    paramTableGenerateConfig.setDeleteByPrimaryKeyIn(o1.T());
    paramTableGenerateConfig.setUpdateBatchuseMultiQuery(o1.U());
    paramTableGenerateConfig.setBatchInsertSelectiveUseDefaultForNull(o1.V());
    paramTableGenerateConfig.setUpdateBatch(o1.i());
    paramTableGenerateConfig.setUpdateBatchSelective(o1.v());
    paramTableGenerateConfig.setBatchInsertOnDuplicate(o1.X());
    paramTableGenerateConfig.setInsertOnDuplicateKey(o1.k());
    paramTableGenerateConfig.setMybatisplusIdType(o1.s());
    paramProjectProfile.setInsertMethodEnabled(o1.s());
    paramProjectProfile.setInsertSelectiveMethodEnabled(o1.t());
    paramProjectProfile.setSelectByPrimaryKeyEnabled(o1.w());
    paramProjectProfile.setDeleteByPrimayKeyEnabled(o1.u());
    paramProjectProfile.setUpdateByPrimaryKeySelectiveEnabled(o1.y());
    paramProjectProfile.setUpdateByPrimaykeyEnabled(o1.x());
    paramProjectProfile.setBatchInsert(o1.j());
    paramProjectProfile.setBatchInsertOnDuplicate(o1.X());
    paramProjectProfile.setDeleteByPrimaryKeyIn(o1.T());
    paramProjectProfile.setUpdateBatchUseMultiQuery(o1.U());
    paramProjectProfile.setBatchInsertSelectiveUseDefaultForNull(o1.V());
    paramProjectProfile.setInsertOnDuplicateKey(o1.k());
    paramProjectProfile.setUpdateBatch(o1.i());
    paramProjectProfile.setUpdateBatchSelective(o1.v());
    paramProjectProfile.setCheckBlobColumn(o1.A());
    paramProjectProfile.setJavaxValidation(o1.P());
    paramProjectProfile.setUseMybatisPlus2(o1.B());
    paramProjectProfile.setMybatisPlusStaticField(o1.C());
    paramProjectProfile.setMybatisplusGenerateUpdateSelective(o1.O());
    paramProjectProfile.setMybatisPlusGenerateByPrimaryKey(o1.W());
    Intrinsics.checkNotNullExpressionValue(o1.s(), "");
    paramProjectProfile.setMybatisPlusIdType(o1.s());
    paramProjectProfile.setGenerateController(o1.J());
    Intrinsics.checkNotNullExpressionValue(o1.t(), "");
    paramProjectProfile.setControllerFolderPath(o1.t());
    Intrinsics.checkNotNullExpressionValue(o1.a(), "");
    paramProjectProfile.setJavaControllerPackage(o1.a());
    paramProjectProfile.setUseCustomizedTypeAnnotation(o1.Z());
    Intrinsics.checkNotNullExpressionValue(o1.G(), "");
    paramProjectProfile.setCustomizedTypeAnnotationValue(o1.G());
  }
  
  public final void a(@NotNull ProjectProfile paramProjectProfile, @NotNull TableGenerateConfig paramTableGenerateConfig) {
    Intrinsics.checkNotNullParameter(paramProjectProfile, "");
    Intrinsics.checkNotNullParameter(paramTableGenerateConfig, "");
    ProjectProfile projectProfile = paramProjectProfile;
    boolean bool = false;
    paramTableGenerateConfig.setInsertMethodEnabled(projectProfile.getInsertMethodEnabled());
    paramTableGenerateConfig.setInsertSelectiveMethodEnabled(projectProfile.getInsertSelectiveMethodEnabled());
    paramTableGenerateConfig.setSelectByPrimaryKeyEnabled(projectProfile.getSelectByPrimaryKeyEnabled());
    paramTableGenerateConfig.setDeleteByPrimayKeyEnabled(projectProfile.getDeleteByPrimayKeyEnabled());
    paramTableGenerateConfig.setUpdateByPrimaryKeySelectiveEnabled(projectProfile.getUpdateByPrimaryKeySelectiveEnabled());
    paramTableGenerateConfig.setUpdateByPrimaykeyEnabled(projectProfile.getUpdateByPrimaykeyEnabled());
    paramTableGenerateConfig.setBatchInsert(projectProfile.getBatchInsert());
    paramTableGenerateConfig.setBatchInsertOnDuplicate(projectProfile.getBatchInsertOnDuplicate());
    paramTableGenerateConfig.setDeleteByPrimaryKeyIn(projectProfile.getDeleteByPrimaryKeyIn());
    paramTableGenerateConfig.setUpdateBatchuseMultiQuery(projectProfile.getUpdateBatchUseMultiQuery());
    paramTableGenerateConfig.setBatchInsertSelectiveUseDefaultForNull(projectProfile.getBatchInsertSelectiveUseDefaultForNull());
    paramTableGenerateConfig.setUpdateBatch(projectProfile.getUpdateBatch());
    paramTableGenerateConfig.setBatchInsertOnDuplicate(projectProfile.getBatchInsertOnDuplicate());
    paramTableGenerateConfig.setUpdateBatchSelective(projectProfile.getUpdateBatchSelective());
    paramTableGenerateConfig.setInsertOnDuplicateKey(projectProfile.getInsertOnDuplicateKey());
  }
}
